# enable_gtkdoc: toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

# install_demo: toggle if demo program should be installed
#	0 = no
#	1 = yes
%define install_demo	0

# End of user configurable section
%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%{?_without_demo: %{expand: %%define install_demo 0}}
%{?_with_demo: %{expand: %%define install_demo 1}}

%define req_gtk_version		2.0.3
%define req_libart_version	2.3.8
%define req_pango_version	1.0.1
%define req_libglade_version	2.3.0

%define api_version	2
%define lib_major	0
%define libname	%mklibname gnomecanvas %{api_version} %{lib_major}
%define libnamedev %mklibname -d gnomecanvas %{api_version}

Summary:	GnomeCanvas widget
Name:		libgnomecanvas
Version:        2.30.3
Release:        %mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	bison
BuildRequires:	libgtk+2-devel >= %{req_gtk_version}
BuildRequires:	libart_lgpl-devel >= %{req_libart_version}
BuildRequires:	libpango-devel >= %{req_pango_version}
#BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
BuildRequires:	libgail-devel
BuildRequires:	intltool
%if %enable_gtkdoc
BuildRequires:	gtk-doc
%endif
%if %install_demo
Requires:	%{libname} = %{version}-%{release}
%endif

%description
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name}%{api_version} = %{version}-%{release}
Requires:	libart_lgpl >= %{req_libart_version}
Requires:	libgtk+2 >= %{req_gtk_version}
Requires:	libpango >= %{req_pango_version}
#Requires:	libglade2.0 >= %{req_libglade_version}
Requires:	%name >= %version

%description -n %{libname}
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains the main canvas library.


%package -n %{libnamedev}
Summary:	Development libraries and include files for GnomeCanvas widget
Group:		Development/GNOME and GTK+
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	libgtk+2-devel >= %{req_gtk_version}
Requires:	libart_lgpl-devel >= %{req_libart_version}
Obsoletes:  %mklibname -d gnomecanvas %{api_version} %{lib_major}
Provides:  %mklibname -d gnomecanvas %{api_version} %{lib_major}

%description -n %{libnamedev}
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains static library and header files for %{name}.

%prep
%setup -q

%build

%configure2_5x \
%if %enable_gtkdoc
	--enable-gtk-doc
%else
	--enable-gtk-doc=no
%endif

%make LIBS=-lm

%install
rm -rf %{buildroot}
%makeinstall_std

# install demo executable
%if %install_demo
( cd demos
  mkdir -p %{buildroot}%{_bindir}
  sh ../libtool --mode=install %{_bindir}/install canvas_demo %{buildroot}%{_bindir}/canvas_demo
)
%endif

%{find_lang} %{name}-2.0

# remove unpackaged files 
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%clean
rm -rf %{buildroot}

%if %install_demo
%files
%defattr(-,root,root)
%{_bindir}/canvas_demo
%endif

%files  -f %{name}-2.0.lang

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnomecanvas-%{api_version}.so.%{lib_major}*
#%{_libdir}/libglade/2.0/*.so

%files -n %{libnamedev}
%defattr(-,root,root)
%doc ChangeLog NEWS README AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*






%changelog
* Tue Feb 01 2011 dmorgan <dmorgan> 2.30.3-1.mga1
+ Revision: 46022
- New version

* Thu Jan 13 2011 blino <blino> 2.30.2-2.mga1
+ Revision: 8913
- remove old conflicts and ldconfig scriptlets
- imported package libgnomecanvas


* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 581474
- update to new version 2.30.2

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 530706
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 529730
- new version
- drop libglade support

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.0-3mdv2010.1
+ Revision: 520840
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.26.0-2mdv2010.0
+ Revision: 425551
- rebuild

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356682
- update to new version 2.26.0

* Sun Feb 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336053
- update to new version 2.25.90

* Fri Nov 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.20.1.1-4mdv2009.1
+ Revision: 300762
- rebuilt against new libxcb

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 2.20.1.1-3mdv2009.0
+ Revision: 254723
- update license
- fix build
- update build deps

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 2.20.1.1-2mdv2008.1
+ Revision: 190543
- Fix lib group

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 2.20.1.1-1mdv2008.1
+ Revision: 100700
- new version

* Sat Oct 13 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 98030
- new version

* Sun Sep 30 2007 Anssi Hannula <anssi@mandriva.org> 2.20.0-3mdv2008.0
+ Revision: 94039
- add a conflict on old 32bit libgnomecanvas2_0 on 64bit libgnomecanvas to
  ensure smooth upgrade on biarch systems

* Thu Sep 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 93299
- Add provides for obsoletes package, fix big transaction when upgrading

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89359
- new version

* Wed Aug 15 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 63643
- new version
- new devel name

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-3mdv2008.0
+ Revision: 53755
- add conflict for upgrades

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 53448
- split out translation files to extra package

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 51217
- new version
- drop patch

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-2mdv2008.0
+ Revision: 50943
- fix pkgconfig file

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 50919
- fix buildrequires
- new version


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdv2007.0
+ Revision: 108959
- Import libgnomecanvas

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdv2007.1
- Rebuild

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- remove patch0 (merged upstream)

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-3mdk
- use mkrel

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdk
- Patch0 (CVS): fix slowness is pixbuf rendering

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.10.0

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- reenable libtoolize
- drop merged patch
- New release 2.10.2

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Patch0: fix crash from evolution (Mdk bug #16145)

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Thu Apr 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- New release 2.6.1.1

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Enforce libglade 2.3.x dependency

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz Waschk help)
- update file list

